#modname "Gifts for all"
#description "This mod adds more 'Gift of Reason' type spells that can turn a regular unit into a commander. This mod adds four spells, one for undead, demons, magical beings and animals respectively to the game with varied gem costs and requirements. It also reduces the price of vanilla spells 'Gift of Reason' and 'Divine name'."
#icon "./GiftsForAll/GiftsForAll.tga"
#version 1.00

#newspell
#copyspell "Rage of the Cornered Rat"
#name "Gift of Civilization"
#descr "This gift grants commander status and a sharp intellect to any single animal. The target unit must be in the same province as the caster."
#path 0 6
#pathlevel 0 2
#school 5
#researchlevel 3
#fatiguecost 400
#effect 10039 --Gift of Reason
#end

#newspell
#copyspell "Gift of Reason"
#name "Gift of Ire"
#descr "This gift grants commander status and a sharp intellect to any single undead. The target unit must be in the same province as the caster."
#fatiguecost 1200
#path 0 4
#path 1 5
#pathlevel 0 2
#pathlevel 1 1
#school 5
#researchlevel 5
#spec 75497472 --affects undead only + castable underwater (8388608)
#end

#newspell
#copyspell "Gift of Reason"
#name "Gift of Malice"
#descr "This gift grants commander status and a sharp intellect to any single demon. The target unit must be in the same province as the caster."
#fatiguecost 1800
#path 0 7
#path 1 6
#pathlevel 0 2
#pathlevel 1 1
#school 6
#researchlevel 5
#spec 8388616 --affects demons only (8) + castable underwater (8388608)
#end

#newspell
#copyspell "Gift of Reason"
#name "Gift of Cunning"
#descr "This gift grants commander status and a sharp intellect to any single magical being. The target unit must be in the same province as the caster. Mindless units cannot be affected by the spell."
#fatiguecost 800
#path 0 4
#path 1 6
#pathlevel 0 1
#pathlevel 1 1
#school 5
#researchlevel 4
#spec 8519696 --affects magic beings only (16) +  No Effect on Mindless (131072) + castable underwater (8388608)
#end

#selectspell "Gift of Reason"
#descr "This gift grants commander status and a sharp intellect to any single unit. The target unit must be in the same province as the caster. This spell is fuelled by nature magic and cannot affect the undead. Mindless units cannot be affected by the spell."
#fatiguecost 1100
#spec 9043968 -- No Effect on Mindless (131072) +  No Effect on Undead (524288)  + castable underwater (8388608)
#researchlevel 4
#end 

#selectspell "Divine Name"
#fatiguecost 1300
#researchlevel 6
#pathlevel 0 4 -- Seriously? 5 astral?
#end
